# pointpats.std_distance

pointpats.std_distance(points) → float64
pointpats.std_distance(points: ndarray) → float64
pointpats.std_distance(points: GeoPandasBase) → float64

  Calculate standard distance of a point array.

  Parameters:
    points arraylike

      array representing a point pattern

  Returns:
    distance

      standard distance of a given point pattern

  Examples

      >>> import numpy as np
      >>> import geopandas as gpd

  Create an array of point coordinates.

      >>> coords = np.array(
      ...     [
      ...         [66.22, 32.54],
      ...         [22.52, 22.39],
      ...         [31.01, 81.21],
      ...         [9.47, 31.02],
      ...         [30.78, 60.10],
      ...         [75.21, 58.93],
      ...         [79.26, 7.68],
      ...         [8.23, 39.93],
      ...         [98.73, 77.17],
      ...         [89.78, 42.53],
      ...         [65.19, 92.08],
      ...     ]
      ... )

  Passing an array of coordinates returns a tuple capturing the bounds.

      >>> std_distance(coords)
      np.float64(40.21575987282547)

  The same applies to a GeoPandas object.

      >>> geoms = gpd.GeoSeries.from_xy(*coords.T)
      >>> std_distance(geoms)
      np.float64(40.21575987282547)